import request from '@/utils/request'

// 查询用户提现列表
export function listUserExtract(query) {
  return request({
    url: '/his/userExtract/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现详细
export function getUserExtract(id) {
  return request({
    url: '/his/userExtract/' + id,
    method: 'get'
  })
}

// 新增用户提现
export function addUserExtract(data) {
  return request({
    url: '/his/userExtract',
    method: 'post',
    data: data
  })
}
export function audit(data) {
  return request({
    url: '/his/userExtract/audit',
    method: 'post',
    data: data
  })
}



// 修改用户提现
export function updateUserExtract(data) {
  return request({
    url: '/his/userExtract',
    method: 'put',
    data: data
  })
}

// 删除用户提现
export function delUserExtract(id) {
  return request({
    url: '/his/userExtract/' + id,
    method: 'delete'
  })
}

// 导出用户提现
export function exportUserExtract(query) {
  return request({
    url: '/his/userExtract/export',
    method: 'get',
    params: query
  })
}
